
.chat_container{
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
  right: 0;
  left: 0;
  width: 450px;
  max-width: 80vw;
  max-height: 80vh;
  z-index: 1051;
  pointer-events: none;
}

.chat-header{
  width: 100%;
  height: 50px;
  box-shadow: 0px -2px 10px rgba(0,0,0,0.5);
  bottom: 0;
  max-height: 100%;
  flex: 0 0 auto;
  position: relative;
  background-color: #1E88E5;
  color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px 10px 0px 0px;
  font-size: 18px;
}

.chat_container .chat{
  pointer-events: auto;
  position: absolute;
  width: 400px;
  height: 80vh;
  top: 0;
  bottom: 0;
  margin: auto;
  left: 0;
  right: 0;
  background: white;
  border-radius: 10px;
  transform: scale(0);
  box-shadow: 0 5px 60px 10px rgba(0,0,0,0.5);
}

.chat_container .chat .chat-content{
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  width: 100%;
  height: 100%;
}

.chat_container .chat::after{
  content: '';
  display: block;
  position: absolute;
  width: 0;
  height: 0;
  border-left: 15px solid rgba(0,0,0,0);
  border-bottom: 15px solid rgba(0,0,0,0);
  border-top: 15px solid rgba(0,0,0,0);
  border-right: 15px solid #1E88E5;
  left: -25px;
  top: 7px;
}

.chat_container .chat .textbox{
  width: 100%;
  height: 50px;
  box-shadow: 0px -2px 10px rgba(0,0,0,0.5);
  border-radius: 10px;
  bottom: 0;
  max-height: 100%;
  flex: 0 0 auto;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-end;
  width: 100%;
  height: auto;
  padding: 5px;
}

.chat_container .chat .textbox .textbox-tool{
  max-width: 100%;
  flex: 0 0 auto;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.chat_container .chat .textbox .textbox-input{
  position: relative;
  max-width: 100%;
  width: auto;
  flex-basis: 0;
  flex-grow: 1;
  flex-wrap: wrap;
  display: flex;
  padding-left: 5px;
  padding-right: 5px;
}

.chat_container .chat .textbox .input{
   width: 100%;
   height: 40px;
   display: block;
   position: relative;
   border: none;
   padding: 8px;
   border: 2px solid rgba(0,0,0,0.15);
   font-size: 14px;
   font-weight: 600;
   border-radius: 17px;
 }

.chat_container .chat .textbox .button{
  padding: 0px;
  margin: 0px;
  background-color: inherit;
  position: relative;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  font-size: 35px;
  color: #1E88E5;
  border: 1px solid transparent;
  display: flex;
  justify-content: center;
  align-items: center;
}

.chat_container .chat .textbox .button:hover{
  cursor: pointer;
  border: 1px solid #d0d0d0;
  border-radius: 5px;
}

.chat-list{
  position: relative;
  max-height: 100%;
  flex-basis: 0;
  flex-grow: 1;
  padding: 5px;
  margin: 5px;
  list-style: none;
  overflow-x: hidden;
  height: auto;
}

.chat-list-item{
  width: 100%;
  box-shadow: 0px -2px 10px rgba(0,0,0,0.3);
  max-height: 100%;
  border-radius: 3px;
  padding: 5px;
}

.chat-thread{
  position: relative;
  max-width: 100%;
  max-height: 100%;
  flex-basis: 0;
  flex-grow: 1;
  background-image: url('/images/mess-bg.jpeg');
  padding: 0px 0px 0px 15px;
  list-style: none;
  overflow-x: hidden;
  overflow-y: auto;
  height: auto;
}

.chat-thread::-webkit-scrollbar-track
{
	background-color: transparent;
}

.chat-thread::-webkit-scrollbar
{
  background-color: transparent;
  padding: 0px;
}

.chat-thread::-webkit-scrollbar-thumb
{
  background-color: transparent;
}

.chat-thread .message{
  position: relative;
  clear: both;
  display: inline-block;
  padding: 10px;
  margin-top: 5px;
  font: 14px;
  border-radius: 20px;
  font-weight: 600;
  max-width: 100%;
  word-wrap: break-word;
}

.chat-thread .message .tooltip-text {
  visibility: hidden;
  width: 120px;
  background-color: #000000;
  color: #ffffff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  font-size: 11px;

  position: absolute;
  z-index: 1;
  top: -30px;
}

.message .message-img {
  max-width: 150px;
  max-height: 150px;
  width: auto;
  height: auto;
  border-radius: 10px;
  display:block;
  margin-bottom: 5px;
  background-color: #ffffff;
}

.chat-thread .message-time-block {
  display: flex;
  clear: both;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.chat-thread .message-time-block .text {
  display: flex;
  clear: both;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.chat-thread .message-mit{
  background: #DCF8C7;
  float: right;
  color: #000000;
}

.chat-thread .message-dest{
  background: #F9F9F9;
  float: left;
  color: #000000;
}

.message-mit .tooltip-text{
  right: 0;
}

.message-mit .tooltip-text::after {
    content: '';
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    border-left: 15px solid rgba(0,0,0,0);
    border-bottom: 15px solid rgba(0,0,0,0);
    border-top: 15px solid #000000;
    border-right: 15px solid rgba(0,0,0,0);
    right: 5px;
    bottom: -25px;
}

.message-dest .tooltip-text {
  left: 0;
}

.message-dest .tooltip-text::after {
  content: '';
  display: block;
  position: absolute;
  width: 0;
  height: 0;
  border-left: 15px solid rgba(0,0,0,0);
  border-bottom: 15px solid rgba(0,0,0,0);
  border-top: 15px solid #000000;
  border-right: 15px solid rgba(0,0,0,0);
  left: 5px;
  bottom: -25px;
}

.chat-thread .message:hover .tooltip-text {
  visibility: visible;
}

.loading-chat .material-icons{
  font-size: 8px;
  padding: 1px;
  margin-bottom: 5px;
}

.loading-chat .material-icons:nth-child(1){
  animation: writing 1.2s infinite alternate;
}

.loading-chat .material-icons:nth-child(2){
  animation: writing 1.2s infinite 0.2s alternate;
}

.loading-chat .material-icons:nth-child(3){
  animation: writing 1.2s infinite 0.3s  alternate;
}

.lastmess-time {
  position: absolute;
  bottom: 0px;
  right: 5px;
  font-size: 10px;
  text-decoration: inherit;
}

.bubble{
  pointer-events: auto;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  position: fixed;
  overflow: none;
  top: 80%;
  left: -5px;
  box-shadow: 0 0px 20px rgba(0,0,0,0.19), 0 0px 6px rgba(0,0,0,0.23);
  background: white;
  background-size: cover;
  padding: 6px;
  transition: all 0s;
  z-index: 0
}

.chat-dot-noti{
  position: absolute;
  top: 0;
  right: 0;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: red;
  z-index: 2
}

.bubble:hover{
  transition: all 0.3s;
  transform: scale(1.1);
}

.bubble:active{
  transform: scale(1.2);
  transition: all 0.3s;
}

.bubble__span{
  position: absolute;
  left: 70px;
  background: #333;
  border-radius: 10px;
  padding: 5px;
  color: white;
  opacity: 0;
}

.bouncein{
  animation: bounce 0.4s ease-out forwards 0.2s;
}

.bounceout{
  animation: bounce 0.25s ease-out forwards reverse;
}

@keyframes bounce{
  0%{
    transform: scale(0);
  }
  60%{
    transform: scale(1.1);
  }
  100%{
    transform: scale(1);
  }
}

@keyframes writing{
  0%{
    transform: translateY(0px);
  }
  50%{
    transform: translateY(5px);
  }
  100%{
    transform: translateY(-5px);
  }
}
